/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workborrowmangement.entity;


import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 归还Entity
 * @author chenyuping
 * @version 2018-07-13
 */
public class WorkBorrowBack extends ActEntity<WorkBorrowBack> {
	
	private static final long serialVersionUID = 1L;
	private String officeId;		// 部门
	private String companyId;		// 公司
	private WorkBorrowMangement workBorrowMangement;		// 借用表id
	private String borrowMangementId;
	private String home;

	public String getHome() {
		return home;
	}

	public void setHome(String home) {
		this.home = home;
	}

	public String getBorrowMangementId() {
		return borrowMangementId;
	}

	public void setBorrowMangementId(String borrowMangementId) {
		this.borrowMangementId = borrowMangementId;
	}

	private String processInstanceId;		// 流程实例id
	
	public WorkBorrowBack() {
		super();
	}

	public WorkBorrowBack(String id){
		super(id);
	}

	@ExcelField(title="部门", align=2, sort=7)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="公司", align=2, sort=8)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public WorkBorrowMangement getWorkBorrowMangement() {
		return workBorrowMangement;
	}

	public void setWorkBorrowMangement(WorkBorrowMangement workBorrowMangement) {
		this.workBorrowMangement = workBorrowMangement;
	}

	@ExcelField(title="流程实例id", align=2, sort=10)
	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	
}